/// <reference types="node" />
/// <reference types="node" />
import { SVG, Element } from '@svgdotjs/svg.js';
import type { Palette } from '@behold/sharp-vibrant/lib/color';
export declare const loadSVG: (svg: string) => Promise<{
    svg: Element;
    SVG: typeof SVG;
}>;
export declare function isError(error: unknown): error is NodeJS.ErrnoException;
export declare function locateFiles(input: string): Promise<string[]>;
interface ParseColorOptions {
    palette: Palette;
    color: string;
}
export declare function parseColor({ palette, color }: ParseColorOptions): string;
export declare function findBackgroundColor(imageBuffer: Buffer): Promise<string>;
export {};
//# sourceMappingURL=helpers.d.ts.map